<?php

include_once get_template_directory() . '/functions/inkthemes-functions.php';
$functions_path = get_template_directory() . '/functions/';
/* These files build out the options interface.  Likely won't need to edit these. */
require_once ($functions_path . 'admin-interface.php');  // Admin Interfaces (options,framework, seo)
/* These files build out the theme specific options and associated functions. */
require_once ($functions_path . 'theme-options.php');   // Options panel settings and custom settings

function inkthemes_wp_enqueue_scripts() {
    if (!is_admin()) {
        wp_enqueue_script('inkthemes_superfish', get_template_directory_uri() . "/js/superfish.js", array('jquery'));
        wp_enqueue_script('inkthemes_mobilemenu', get_stylesheet_directory_uri() . '/js/mobilemenu.js', array('jquery'));
        wp_enqueue_script('inkthemes_tipsy', get_template_directory_uri() . '/js/jquery.tipsy.js', array('jquery'));
        wp_enqueue_script('inkthemes_ddsmoothmenuinit', get_template_directory_uri() . "/js/custom.js", array('jquery'));
    }
}

add_action('wp_enqueue_scripts', 'inkthemes_wp_enqueue_scripts');

//$themeslug_options = get_option( 'inkthemes_options', inkthemes_get_option_defaults() );
$themeslug_options = wp_parse_args(
        get_option('inkthemes_options', array()), inkthemes_get_option_defaults()
);

//var_dump($themeslug_options);

/* ----------------------------------------------------------------------------------- */
/* Styles Enqueue */
/* ----------------------------------------------------------------------------------- */

function inkthemes_add_stylesheet() {
    if (!is_admin()) {
        wp_enqueue_style('inkthemes_reset_stylesheet', get_template_directory_uri() . "/css/reset.css", '', '', 'all');
        wp_enqueue_style('inkthemes_col_stylesheet', get_template_directory_uri() . "/css/960_24_col.css", '', '', 'all');
        wp_enqueue_style('inkthemes_responsive_stylesheet', get_template_directory_uri() . "/css/960_24_col_responsive.css", '', '', 'all');
        wp_enqueue_style('inkthemes_main_stylesheet', get_template_directory_uri() . "/style.css", '', '', 'all');
    }
}

add_action('wp_enqueue_scripts', 'inkthemes_add_stylesheet');

function inkthemes_get_option($name) {
    $options = get_option('inkthemes_options');
    if (isset($options[$name]))
        return $options[$name];
}

function inkthemes_save_option($option) {
    return update_option('inkthemes_options', $option);
}

function inkthemes_delete_option($name) {
    $options = get_option('inkthemes_options');
    unset($options[$name]);
    return update_option('inkthemes_options', $options);
}

//Enqueue comment thread js
function inkthemes_enqueue_comment_reply() {
    if (is_singular() && comments_open() && get_option('thread_comments')) {
        wp_enqueue_script('comment-reply');
    }
}

add_action('wp_enqueue_scripts', 'inkthemes_enqueue_comment_reply');

//Add plugin notification 
require_once(get_template_directory() . '/functions/plugin-activation.php');
require_once(get_template_directory() . '/functions/inkthemes-plugin-notify.php');
add_action('tgmpa_register', 'inkthemes_plugins_notify');
